package main

import (
	"fmt"
	"git.swzry.com/zry/YAGTF/yagtf/timefmt"
	"time"
)

func main() {
	tf := timefmt.NewTimeFormatter("!<y>-<mon>-<d> <h24>:<min>:<s> <tz> <tzA>", false)
	fmt.Println(tf.Format(time.Now()))
	tf = timefmt.NewTimeFormatter("!<UTC><y>-<mon>-<d> <h24>:<min>:<s> <tz> <tzA>", false)
	fmt.Println(tf.Format(time.Now()))
	tf = timefmt.NewTimeFormatter("!<Timezone:+0900JST><y>-<mon>-<d> <h24>:<min>:<s><br><tz> <tzA>", true)
	fmt.Println(tf.Format(time.Now()))
	tf = timefmt.NewTimeFormatter("!<Timezone:+0900JST><y>-<mon>-<d> <h24>:<min>:<s><br><tz> <tzA>", false)
	fmt.Println(tf.Format(time.Now()))
	tf = timefmt.NewTimeFormatter("yyyy-MM-dd HH:mm:ss z Z", false)
	fmt.Println(tf.Format(time.Now()))
	tf = timefmt.NewTimeFormatter("!yyyy-MM-dd HH:mm:ss z Z", false)
	fmt.Println(tf.Format(time.Now()))
	tf = timefmt.NewTimeFormatter("!!yyyy-MM-dd HH:mm:ss z Z", false)
	fmt.Println(tf.Format(time.Now()))
}
